package com.yunfeiyun.agmp.common.exception;

import com.yunfeiyun.agmp.common.constant.ErrorCode;

/**
 * 农事任务提交记录审核异常
 * */
public class TaskrcdAuditException extends BaseException{
    public TaskrcdAuditException(String code, String msg, String msgKey, Object[] data) {
        super(code, msg, msgKey, data);
    }
    public TaskrcdAuditException(String code, String msg) {
        this(code, msg, "-1", null);
    }
    public TaskrcdAuditException(ErrorCode errorCode){
        this(errorCode.getCode(),errorCode.getMessage());
    }
}
